Bug 390141 - Anaconda: "NameError: global name 'isys' is not defined"
Anaconda: "NameError: global name 'isys' is not defined"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-19 04:27 EST by Lubomir Kundrak
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-29 13:55:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-11-19 04:27:54 EST
Description of problem:

Welcome to Fedora                                                               

                                                                                
Traceback (most recent call last):
  File "/usr/bin/anaconda", line 906, in <module>
    kickstart.processKickstartFile(anaconda, opts.ksfile)
  File "/usr/lib/anaconda/kickstart.py", line 871, in processKickstartFile
    ksparser.readKickstart(file)
  File "/usr/lib/python2.5/site-packages/pykickstart/parser.py", line 682, in
readKickstart
    self._stateMachine (lambda: fh.readline())
  File "/usr/lib/python2.5/site-packages/pykickstart/parser.py", line 560, in
_stateMachine
    self.handleCommand(lineno, args)
  File "/usr/lib/anaconda/kickstart.py", line 823, in handleCommand
    KickstartParser.handleCommand(self, lineno, args)
  File "/usr/lib/python2.5/site-packages/pykickstart/parser.py", line 413, in
handleCommand
    self.handler.dispatcher(args, lineno)
  File "/usr/lib/python2.5/site-packages/pykickstart/base.py", line 321, in
dispatcher
    self.commands[cmd].parse(args[1:])
  File "/usr/lib/anaconda/kickstart.py", line 334, in parse
    nd.onboot, nd.dhcpclass, nd.essid, nd.wepkey)
  File "/usr/lib/anaconda/installclass.py", line 290, in setNetwork
    if isys.isWireless(device):
NameError: global name 'isys' is not defined
install exited abnormally [1/1] 
sending termination signals...done
sending kill signals...done
disabling swap...
unmounting filesystems...
        /mnt/runtime done
        disabling /dev/loop0
        /proc done
        /dev/pts done
        /sys done
        /tmp/ramfs done
        /selinux done
you may safely reboot your system

Version-Release number of selected component (if applicable):

Rawhide from 2007-11-18, 11.4.0.1
Comment 1 Jeremy Katz 2007-11-19 10:48:45 EST
Fixed in git
Comment 2 Lubomir Kundrak 2007-11-29 13:50:42 EST
Fixed in just released anaconda. Should be closed I guess?

Note You need to log in before you can comment on or make changes to this bug.